
public void connEtoM5_NormalResult(java.util.Vector systemStatus) {
	// Format the column headers 
	String output = "Process"+'\t'+"Service Name"+'\t'+"Alias Name"+'\t'+"PID"+'\n';

	for( int i=0; i<systemStatus.size(); i++ ) {
		// Format the system information
		LandpLoadTable table =(LandpLoadTable)systemStatus.elementAt(i);

		output = output + i 
			+ '\t' + table.getProcessName()
			+ '\t' + table.getProcessAliasName()
			+ '\t' + table.getProcessIdent()
			+ "  " + table.getProcessLoc();

		//Get operating system information
		switch( table.getProcessOpSys() ) {
			case LANDP_SPV_OS_DOS :
				output += " DOS";
				break;
			case LANDP_SPV_OS_OS2 :
				output += " OS/2";
				break;
			case LANDP_SPV_OS_NT :
				output += " NT";
				break;
			default :
				output += " INVALID";
		}

		//Get access,connect and process status
		if (table.getProcessAccessType()==LANDP_SPV_LOCAL)      output += " LOCAL";
		if (table.getProcessAccessType()==LANDP_SPV_NOT_LOCAL)  output += " REMOTE";
		if (table.getProcessConnectStatus()==LANDP_SPV_ONLINE)  output += " ONLINE";
		if (table.getProcessConnectStatus()==LANDP_SPV_OFFLINE) output += " OFFLINE";
		if (table.getProcessType()==LANDP_SPV_SERVICE)          output += " SERVICE";
		if (table.getProcessType()==LANDP_SPV_APPLICATION)      output += " APP";

		output += '\n';
	}

	//Print out the results
	System.out.println(output);
}

